<f:layout name="Default"/>
<f:section name="main">

	<div class="poll-result">

		<f:flashMessages/>

		<f:if condition="{result}">
			<f:then>
				<h2>
					<f:translate key="tx_poll_label.current_status"/>
				</h2>

				<f:for each="{result}" as="question" key="sortingQuestion" iteration="itemIterationQestion">

					<div class="poll-result-question">
						<h3>
							<f:translate key="tx_poll_label.question_asked"/>
						</h3>
						<div class="poll-question">
							<f:format.html>{question.pollQuestion.question}</f:format.html>
						</div>
						<f:for each="{question.result}" as="answer" key="sortingAnswer" iteration="itemIterationAnswer">
							<div class="poll-result-row">
								<f:if condition="{0:answer.pollAnswerPercent} == {0:'0'}">
									<f:then>
										<div class="poll-result-bar">
											<span class="poll-result-bar" style="width: 1px"></span></div>
									</f:then>
									<f:else>
										<div class="poll-result-bar">
											<span class="poll-result-bar"
												  style="width: {answer.pollAnswerPercent}%"></span></div>
									</f:else>
								</f:if>
								<span class="poll-result-percent">{answer.pollAnswerPercent} %</span>
								<span class="poll-result-answer">{answer.pollAnswer.answer}</span>
								<f:if condition="{isAdmin} && {poll.withoutPollTicket}">
									<small class="text-muted poll-result-answer-count">
										<f:translate key="tx_poll_label.votes" arguments="{0: answer.pollAnswerCount}"/>
									</small>
								</f:if>
							</div>
						</f:for>
						<f:if condition="{isAdmin} && {poll.withoutPollTicket}">
							<small class="text-muted poll-result-answer-count">
								<f:translate key="tx_poll_label.total_votes" arguments="{0: question.answerCount}"/>
							</small>
						</f:if>
					</div>

				</f:for>

			</f:then>
			<f:else>
				<div class="row">
					<div class="alert alert-danger">
						<f:translate key="tx_poll_label.poll_not_found"/>
					</div>
				</div>
			</f:else>
		</f:if>

		<f:if condition="{settings.list.defaultPid}">
			<f:then>
				<f:link.action action="list"
							   controller="Poll"
							   arguments="{poll: poll}"
							   pageUid="{settings.list.defaultPid}"
							   class="btn btn-primary">
					<f:translate key="tx_poll_label.back_to_poll_listing"/>
				</f:link.action>
			</f:then>
		</f:if>

	</div>

</f:section>
